* Test Heading
Text of the test body.
 
* Code                                                             :noexport:

#+BEGIN_SRC emacs-lisp
  (defun test-map ()
    (let ((end (org-element-property :end (org-element-at-point))))
      (while (re-search-forward "\\(test body\\)" end t)
        (replace-match "test bawdy"))))
  
  (defun before-export-test (backend)
    (org-map-entries 'test-map "-noexport" 'file))
  
  (add-hook 'org-export-before-processing-hook
            'before-export-test t)
  (org-html-export-to-html)
  (remove-hook 'org-export-before-processing-hook
               'before-export-test t)
#+END_SRC

#+RESULTS:

